<twig:Molecules:Card:Card>
    <twig:Atoms:Card:Section>
        <twig:Atoms:Card:Title>{{ question.title|markdown_to_html }}</twig:Atoms:Card:Title>
        <p>{{ question.explanation ?? ''|markdown_to_html }}</p>
    </twig:Atoms:Card:Section>
    <twig:Atoms:Card:Section>
        {% for answer in question.answers %}
            {% set id = "checkbox-" ~ answer.id %}
            <twig:Molecules:Form:CheckboxWithLabel
                    id="{{ id }}"
                    name="{{ id }}"
                    checked="{{ answer.isRight }}"
                    label="{{ answer.value|markdown_to_html }}"
            ></twig:Molecules:Form:CheckboxWithLabel>
        {% endfor %}
    </twig:Atoms:Card:Section>
    <twig:Atoms:Card:Section>
        <twig:Flex gap="2">
            {% for resource in question.resources %}
                <twig:Atoms:Link:BlockLink
                        href="{{ resource }}"
                        target="_blank"
                >{{ resource }}</twig:Atoms:Link:BlockLink>
            {% endfor %}
        </twig:Flex>
    </twig:Atoms:Card:Section>
</twig:Molecules:Card:Card>